#ifndef GRAPHICELEMENTSPANEL_H
#define GRAPHICELEMENTSPANEL_H

#include <QWidget>
#include "global.h"

QT_BEGIN_NAMESPACE
namespace Ui { class graphicElementsPanel; }
QT_END_NAMESPACE

class GraphicElementsPanel : public QWidget
{
    Q_OBJECT

public:
    GraphicElementsPanel(QWidget *parent = nullptr);
    ~GraphicElementsPanel();

signals:
    void addGraphicsItem(GraphicsItemType&);

public slots:
    void onBtnClicked_GraphicsItem();

private:
    Ui::graphicElementsPanel *ui;

};

#endif
